Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Web and WebWorks Development

Reply
Retired
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

BETA 3 WIDGET SDK IMPORTANT UPDATE!

[ Edited ]

Important Information.. Please Read

 

Feb 5, 2010

 

We have discovered that the original binary for the BlackBerry Widget SDK Beta 3 was an incorrect install file.  The version number indicated on the incorrect installer was version 1.0.0.21.

 

If you have downloaded and installed this version of the widget SDK we highly recommend that you uninstall it and download the updated version.  You will be able to identify the latest version when the installer starts and you can confirm that the version is 1.0.0.56

 

It appears that the Eclipse update site did in fact have the correct Beta 3 version and no action is required there.

 

We apologize for any inconvenience.

 

 

 

-----------------------------------------------------------------------------------

 

 

Hi everyone,

 

I'm pleased to announce that we have just released the Beta 3 of the BlackBerry Widget SDK.  You can download it from the following link:

www.blackberry.com/developers/widget

New Functionality for this Release
Focus based navigation for trackpad and trackball smartphone devices.
The ability to choose which transport (e.g. Wi-Fi®, BlackBerry® Enterprise Server, etc.), the order and timeout value
Bug fixing

 

New Functionality for this Release

 

  • Focus based navigation for trackpad and trackball smartphone devices.
  • The ability to choose which transport (e.g. Wi-Fi®, BlackBerry® Enterprise Server, etc.), the order and timeout value
  • Bug fixing
The Focus based navigation feature will allow you to create a Java focus based navigation experience for any widget on a Trackpad/Trackball device.  Take a look at the technical note found in the documentation area on how to leverage this functionality.  Samples will be posted within the next couple of days.  Documentation can be found here:
  
New JavaScript Extension Lab available!!
We have now posted a Lab on how to extend any of the existing Java APIs so that they can be used within your BlackBerry Widget.  This Lab is available in the Labs section of the URL provided at the top of this post.
  
Those of you using the BlackBerry Web Plug-in for Visual Studio:
Please do not uninstall the Visual Studio plug-in itself.  The Plug-in will actually detect the new version of the Widget SDK that has been installed.
  
To upgrade simply:
  • Download the BlackBerry Widget SDK Beta 3
  • Uninstall the existing version of the BlackBerry Widget SDK
  • Install the new Beta 3 version of the SDK
Those of you using the BlackBerry Web Plug-in for Eclipse:
You will be able to upgrade the "BlackBerry Widget SDK" feature from our Eclipse update site: 

 

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
Retired
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: BETA 3 WIDGET SDK IMPORTANT UPDATE!

Please see the above notice about an issue with the BlackBerry Widget SDK Beta 3

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter
New Developer
talawahdotnet
Posts: 8
Registered: ‎01-01-2010
My Device: Bold 9700

Re: BETA 3 WIDGET SDK IMPORTANT UPDATE!

Hi Tim,

 

That Eclipse update site link isn't working for me. Here is the error I get:

 

No repository found at http://www.blackberry.com/go/eclipseUpdate/3.4/web

New Developer
talawahdotnet
Posts: 8
Registered: ‎01-01-2010
My Device: Bold 9700

Re: BETA 3 WIDGET SDK IMPORTANT UPDATE!

FYI.  This is Eclipse 3.4 Ganymeade.  I downloaded the installer here (http://na.blackberry.com/eng/developers/devbetasoftware/eclipseplugin.jsp) and ran it, but it got hung up on the "configuring application this may take a few minutes" step (i let it run for a couple hours).

 

After that I tried to manually update using the update site and got that error.  I get an error page when i visit the site from my browser too.

 

 

I am running Windows 7 64bit.  JDK 1.6 u18 32bit

New Developer
talawahdotnet
Posts: 8
Registered: ‎01-01-2010
My Device: Bold 9700

Re: BETA 3 WIDGET SDK IMPORTANT UPDATE!

Well I was able to get the BlackBerry Web Plug-in Eclipse installed by installing as admin and I changed permissions on the MDS folder to get it to work (C:\Program Files (x86)\BlackBerry Web Plug-in Eclipse\plugins\net.rim.browser.tools.wcpc_1.0.0.200910291414-35\wcpc\mds).

 

But when I try and check the update site it still fails, so you guys should probably check that out.

Retired
tneil
Posts: 3,708
Registered: ‎10-16-2008
My Device: Z10
My Carrier: Rogers

Re: BETA 3 WIDGET SDK IMPORTANT UPDATE!

As an update, I have received notice from our web team that the update site issue has now been resolved.

 

 

Tim Neil
Director, Application Platform & Tools Product Management
Follow me on Twitter